SQLITEREPO_C(8)

NAME
sqliterepo_c - Generate sqlite db files for a repository in rpm-md format

SYNOPSIS

sqliterepo_c [options] <repo_directory>

OPTIONS

  -V --version

Show program's version number and exit.

  -q --quiet

Run quietly.

  -v --verbose

Run verbosely.

  -f --force

Overwrite existing DBs.

  --keep-old

Do not remove old DBs. Use only with combination with --force.

  --xz

Use xz for repodata compression.

  --compress-type <compress_type>

Which compression type to use.

  --checksum <checksum_type>

Which checksum type to use in repomd.xml for sqlite DBs.

  --local-sqlite

Gen sqlite DBs locally (into a directory for temporary files). Sometimes, sqlite has a trouble to gen DBs on a NFS mount, use this option in such cases. This option could lead to a higher memory consumption if TMPDIR is set to /tmp or not set at all, because then the /tmp is used and /tmp dir is often a ramdisk.